clear all
 ...
global scalv_ ex_ ex_det_ recur_ recurs_ ys_ y_ exe_ exe_det_ lgy_ lgx_ lgx_det_ lgr_ dsmpl_ endval_
 ...
global endo_nbr exo_nbr exo_det_nbr iy_  ykmin_  ykmax_  xkmin_  xkmax_ zkmin_ zkmax_ iter_
 ...
global dynatol_ slowc_ maxit_ valf_ ys0_ recurs0_ ex0_ timing_ ct_ gstep_ Sigma_e_ fname_ lgx_orig_ord_ iter_ options_ dr_ oo_ trend_coeff_ eigenvalues_
global M_
M_.ex_det_length = 0;
M_.dname = 'dis3';
endo_nbr=0;exo_nbr=0;exo_det_nbr=0;
dsmpl_=0;
dynatol_=0.00001;
maxit_=10;
slowc_=1;
timing_=0;
ct_=0;
gstep_=1e-2;
endval_=0;rplottype_=0;
valf_=0;
y_=[];
ex_=[];
ex_det_=[];
fname_ = 'dis3';
logname_ = 'dis3.log';
diary off;
warning off;
delete dis3.log;
warning on;
warning backtrace;
diary dis3.log;
options_ = [];
lgy_ = 'a';
lgy_ = str2mat(lgy_,'as');
lgy_ = str2mat(lgy_,'obs_pi');
lgy_ = str2mat(lgy_,'obs_pis');
lgy_ = str2mat(lgy_,'obs_q');
lgy_ = str2mat(lgy_,'obs_r');
lgy_ = str2mat(lgy_,'obs_rs');
lgy_ = str2mat(lgy_,'obs_x');
lgy_ = str2mat(lgy_,'obs_xs');
lgy_ = str2mat(lgy_,'pi');
lgy_ = str2mat(lgy_,'pih');
lgy_ = str2mat(lgy_,'pis');
lgy_ = str2mat(lgy_,'q');
lgy_ = str2mat(lgy_,'r');
lgy_ = str2mat(lgy_,'rs');
lgy_ = str2mat(lgy_,'s');
lgy_ = str2mat(lgy_,'vpi');
lgy_ = str2mat(lgy_,'vs');
lgy_ = str2mat(lgy_,'vsx');
lgy_ = str2mat(lgy_,'x');
lgy_ = str2mat(lgy_,'xs');
lgy_ = str2mat(lgy_,'y');
lgy_ = str2mat(lgy_,'ys');
endo_nbr = 23;

lgx_ = 'ea';
lgx_ = str2mat(lgx_,'epi');
lgx_ = str2mat(lgx_,'er');
lgx_ = str2mat(lgx_,'esa');
lgx_ = str2mat(lgx_,'esr');
lgx_ = str2mat(lgx_,'esx');
lgx_ = str2mat(lgx_,'ex');
lgx_orig_ord_ = [5 6 4 2 1 3 7];
exo_nbr = 7;


global ALPHA ALPHApi ALPHAspi ALPHAsx ALPHAx BETA IOTA K OMEGA PHI 
global PHIt RHOa RHOpi RHOr RHOsa RHOsr RHOsx RHOx SIGMA SIGMAa 
global TAU THETA 


K = 0.2 ;
BETA = 0.99;
ALPHA = 0.3;
SIGMA = 1;
TAU = 1;
IOTA = 1;
PHI = 3;
PHIt= 2;

THETA = 0.5;

RHOx = 0.85;
RHOa = 0.8;


RHOr = 0.8;
ALPHAx = 0.05;
ALPHApi= 0.4;

RHOsr = 0.8;
ALPHAsx = 0.05;
ALPHApis= 0.4;

RHOpi = 0.8;
RHOsa = 0.7;
RHOsx = 0.7;

SIGMAa = 0.01;
SIGMAx = 0.01;
SIGMApi = 0.01;
SIGMAr = 0.01;
SIGMAas = 0.01;
SIGMAxs = 0.01;
SIGMArs = 0.01;



iy_ = [ 1 2 0 0 0 0 0 0 0 0 0 0 3 4 5 6 7 0 8 0 0 0 0];
temp = [ 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 0 26 27 28 29 30 ...
];
iy_ = [ iy_ ; temp ];
temp = [ 0 0 0 0 0 0 0 0 0 0 31 32 0 0 0 0 0 0 0 33 34 0 35];
iy_ = [ iy_ ; temp ];
ykmin_ = 1;
ykmax_ = 1;
xkmin_ = 0;
xkmax_ = 0;
zkmin_ = 0;
zkmax_ = 0;
ys_ = zeros(23,1);
exe_ = zeros(7,1);


% INITVAL 
valf_ = 0;
endval_=0;
ys_(12)=0;
ys_(21)=0;
ys_(15)=0;
ys_(10)=0;
ys_(20)=0;
ys_(14)=0;
ys_(13)=0;
ys_(23)=0;
ys_(16)=0;
ys_(22)=0;
y_=[ys_*ones(1,ykmin_)];
if exo_nbr > 0;
  ex_=[ones(xkmin_,1)*exe_'];
end;
if exo_det_nbr > 0;
  ex_det_=[ones(ykmin_+1,1)*exe_det_'];
end;


steady(0);


check;


% (M)SHOCKS 
make_ex_;
shocks_file(0);
Sigma_e_ = zeros(7,7);
Sigma_e_(3,3) = (SIGMAr)^2;



global estim_params_
estim_params_.var_exo = [];
estim_params_.var_endo = [];
estim_params_.corrx = [];
estim_params_.corrn = [];
estim_params_.param_names = [];
estim_params_.param_vals = [];
estim_params_.param_names = strvcat(estim_params_.param_names,'THETA');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 1 ...
, 0.60, 0.10, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'RHOr');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 1 ...
, 0.80, 0.02, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'ALPHAx');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 3 ...
, 0.05, 0.10, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'ALPHApi');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 3 ...
, 0.40, 0.10, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'RHOsr');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 1 ...
, 0.80, 0.10, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'ALPHAsx');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 3 ...
, 0.05, 0.10, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'ALPHAspi');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 3 ...
, 0.40, 0.10, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'RHOpi');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 1 ...
, 0.80, 0.02, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'RHOsa');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 1 ...
, 0.70, 0.5, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'RHOsx');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 1 ...
, 0.70, 0.10, NaN, NaN, NaN];
estim_params_.var_exo = [estim_params_.var_exo;  1, NaN, -Inf, Inf, 4, 2 ...
, inf, NaN, NaN, NaN];
estim_params_.var_exo = [estim_params_.var_exo;  7, NaN, -Inf, Inf, 4, 2 ...
, inf, NaN, NaN, NaN];
estim_params_.var_exo = [estim_params_.var_exo;  2, NaN, -Inf, Inf, 4, 2 ...
, inf, NaN, NaN, NaN];
estim_params_.var_exo = [estim_params_.var_exo;  3, NaN, -Inf, Inf, 4, 2 ...
, inf, NaN, NaN, NaN];
estim_params_.var_exo = [estim_params_.var_exo;  4, NaN, -Inf, Inf, 4, 2 ...
, inf, NaN, NaN, NaN];
estim_params_.var_exo = [estim_params_.var_exo;  6, NaN, -Inf, Inf, 4, 2 ...
, inf, NaN, NaN, NaN];
estim_params_.var_exo = [estim_params_.var_exo;  5, NaN, -Inf, Inf, 4, 2 ...
, inf, NaN, NaN, NaN];


options_.varobs = [];
options_.varobs = strvcat(options_.varobs,'xs');
options_.varobs = strvcat(options_.varobs,'pis');
options_.varobs = strvcat(options_.varobs,'rs');
options_.varobs = strvcat(options_.varobs,'x');
options_.varobs = strvcat(options_.varobs,'pi');
options_.varobs = strvcat(options_.varobs,'r');
options_.varobs = strvcat(options_.varobs,'q');


options_.dr_algo=0;
options_.order=1;
options_.periods=5000;
options_.simul=1;
options_.irf=40;
var_list_ = 'xs';
var_list_ = str2mat(var_list_,'pis');
var_list_ = str2mat(var_list_,'rs');
var_list_ = str2mat(var_list_,'x');
var_list_ = str2mat(var_list_,'pi');
var_list_ = str2mat(var_list_,'r');
var_list_ = str2mat(var_list_,'q');
info=stoch_simul(var_list_);


options_.datafile='data1';
